/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.tutorial.jplannermaven;

import com.mindfusion.common.DateTime;
import com.mindfusion.scheduling.Calendar;
import com.mindfusion.scheduling.CalendarView;
import com.mindfusion.scheduling.ThemeType;
import java.awt.BorderLayout;
import javax.swing.*;
import static javax.swing.JFrame.EXIT_ON_CLOSE;

/**
 *
 * @author golem
 */
public class MainForm extends JFrame {

    public static void main(String[] args) {
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                MainForm window = null;
                try {
                    window = new MainForm();
                    window.setVisible(true);
                } catch (Exception exp) {
                }
            }
        });
    }

    protected MainForm() {
        setDefaultCloseOperation(EXIT_ON_CLOSE);
        setSize(600, 400);
        setTitle("MindFusion Scheduling Library: Loading from Maven");

        calendar = new Calendar();
        calendar.beginInit();
        calendar.setCurrentView(CalendarView.SingleMonth);
        calendar.setTheme(ThemeType.Light);
        calendar.getMonthSettings().getDaySettings().setShowToday(true);
        calendar.setDate(new DateTime(DateTime.today().getYear(), DateTime.today().getMonth(), 1));
        calendar.setEndDate(new DateTime(DateTime.today().getYear(), DateTime.today().getMonth(), 28));
        calendar.endInit();

        getContentPane().add(calendar, BorderLayout.CENTER);

    }

    private Calendar calendar;
    private static final long serialVersionUID = 1L;
}
